#ifndef UIQ2
#include <eikstart.h>
#include <e32cmn.h>
#endif
#include "HexaHop.h"
#include <string.h>
#include <eikenv.h>
#include <f32file.h>
#include <bautils.h>
#ifdef UIQ2
EXPORT_C
#endif
// this function is called automatically by the SymbianOS to deliver the new CApaApplication object
CApaApplication* NewApplication() {
	// Return pointer to newly created CQMApp
	return new CHexaHopApp;
}

#ifdef UIQ2
GLDEF_C  TInt E32Dll(TDllReason)
{
	return KErrNone;
}
#else
// E32Main() contains the program's start up code, the entry point for an EXE.
GLDEF_C TInt E32Main() {
 	return EikStart::RunApplication(NewApplication);
}
#endif
	
CHexaHopApp::CHexaHopApp() {
}

CHexaHopApp::~CHexaHopApp() {
}

#ifndef UIQ2
#include <HexaHop.rsg>
/**
 * Returns the resource id to be used to declare the views supported by this UIQ3 app
 * @return TInt, resource id
 */
TInt CHexaHopApp::ViewResourceId() {
	return R_SDL_VIEW_UI_CONFIGURATIONS;
}
#endif
/**
 *   Responsible for returning the unique UID of this application
 * @return unique UID for this application in a TUid
 **/
TUid CHexaHopApp::AppDllUid() const {
#ifdef UIQ2
	return TUid::Uid(0x102080F2);
#else
	return TUid::Uid(0xA00007B3);
#endif
}
#ifdef UIQ2
_LIT(KCDataPath,"c:\\system\\apps\\hexahop\\levels.dat");
_LIT(KDDataPath,"d:\\system\\apps\\hexahop\\levels.dat");
#else
_LIT(KCDataPath,"c:\\resource\\apps\\hexahop\\levels.dat");
_LIT(KDDataPath,"d:\\resource\\apps\\hexahop\\levels.dat");
#endif
char GetDataDrive()
{
#ifdef __WINS__
	return 'C';
#else
	if(BaflUtils::FileExists(CEikonEnv::Static()->FsSession(),KCDataPath()))
		return 'C';
	else if(BaflUtils::FileExists(CEikonEnv::Static()->FsSession(),KDDataPath()))
		return 'D';
#endif
	return 0;

}


void Info(const char* buffer)
{
	TPtrC8 ptr((const unsigned char*) buffer,strlen(buffer));
	TBuf<256> info;
	info.Copy(ptr);
	CEikonEnv::Static()->InfoWinL(_L("Info"),info);
}
